PROGRAM functabl(output);

{ Definition einer Funktion als Tabelle. }

TYPE schrift = (eins,zwei,drei,vier,fuenf,sechs,sieben,acht,neun,zehn);

VAR zahlen : ARRAY[eins..zehn] OF 1..10;
    i      : integer;

BEGIN { functabl }
  zahlen[eins]   :=  1;
  zahlen[zwei]   :=  2;
  zahlen[drei]   :=  3;
  zahlen[vier]   :=  4;
  zahlen[fuenf]  :=  5;
  zahlen[sechs]  :=  6;
  zahlen[sieben] :=  7;
  zahlen[acht]   :=  8;
  zahlen[neun]   :=  9;
  zahlen[zehn]   := 10;

  writeln(zahlen[eins]  :3);
  writeln(zahlen[zwei]  :3);
  writeln(zahlen[drei]  :3);
  writeln(zahlen[vier]  :3);
  writeln(zahlen[fuenf] :3);
  writeln(zahlen[sechs] :3);
  writeln(zahlen[sieben]:3);
  writeln(zahlen[acht]  :3);
  writeln(zahlen[neun]  :3);
  writeln(zahlen[zehn]  :3)
END.  { functabl }
